// C Export v2.2 by Soul Rider

#ifndef __CEXPORT_H__
#define __CEXPORT_H__

#define ID_TRIMESH       1

#define X 0
#define Y 1
#define Z 2

#define U 0
#define V 1
#define W 2

typedef struct xyz
{
  float position[3];
} xyz;

typedef struct face
{
  unsigned int vertex_nr[3];
} face;

typedef struct coords
{
  float uvw[3];
} coords;

typedef struct object
{
  char          id;
  unsigned long vertex_count;
  unsigned long faces_count;
  xyz           *vertex_list;
  face          *faces_list;
  xyz           *face_normals_list;
  coords        *tex_coords_list;
  float         dim_x1, dim_x2, dim_y1, dim_y2, dim_z1, dim_z2;
} object;

#endif //__CEXPORT_H__